Get subdomain
curl --request GET \
--url https://management-api.fpjs.io/subdomains/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Version: <x-api-version>'import requests
url = "https://management-api.fpjs.io/subdomains/{id}"
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://management-api.fpjs.io/subdomains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "certv2_a1b2c3d4e5f6",
"subdomain": "metrics.yourwebsite.com",
"status": "pending",
"created_at": "2026-03-05T14:00:00.000Z",
"updated_at": "2026-03-05T14:35:00.000Z",
"dns_records": {
"verification": {
"type": "CNAME",
"host": "_acme-challenge.metrics.yourwebsite.com",
"value": "dcv.fpjs.io",
"status": "pending_validation"
},
"routing": [
{
"type": "CNAME",
"host": "_acme-challenge.metrics.yourwebsite.com",
"value": "dcv.fpjs.io",
"status": "pending_validation"
}
]
},
"webhook_url": "https://customer.com/hooks/fp-subdomain"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}subdomains
Get subdomain
Fetch a subdomain by ID.
GET
/
subdomains
/
{id}
Get subdomain
Returns the full subdomain, including its DNS records and current status. Poll this endpoint to track a subdomain’s progress until its status is
active, or configure a webhook_url when you register the subdomain to receive status changes without polling.
See Subdomain statuses for what each status means.
Note: Does not support Legacy subdomains. Migrate old certificates via the Dashboard to manage them via API.Was this page helpful?